Get ALB Clusters Form Factors

Get ALB Clusters Form Factors
Retrieve a list of NSX ALB Clusters Form Factors

Retrieve a list of NSX ALB Clusters Form Factors

Request
URI
GET
https://{api_host}/v1/nsx-alb-clusters/form-factors
COPY
Query Parameters
string
version
Optional
Constraints: default:

ALB version


Responses
200

Ok

Returns ALBControllerNodeFormFactors of type(s) application/json
{
    "formFactors": [
        {
            "disk": 0,
            "memory": 0,
            "type": "One among: XLARGE, LARGE, MEDIUM, SMALL",
            "vcpu": 0
        }
    ]
}
array of object
formFactors
Read-Only

List of NSX ALB Cluster node form factor


500

InternalServerError

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/nsx-alb-clusters/form-factors